Install PSE 2022 on Mac Pro

New Here ,
Dec 08, 2021 Dec 08, 2021

Copy link to clipboard

Copied

I just bought PSE 2022 to install on my Mac Pro Late 2013. The requirements state Intel 6th generation or newer. I can't seem to find if I meet that as my computer says "3.7 GHz Quad-Core Intel Xeon E5". Will 2022 install?

Views

106

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 08, 2021 Dec 08, 2021

Copy link to clipboard

Copied

It depends on which Xeon E5. Some are 4th, 5th or 6th generation.

See here:

https://www.cpu-monkey.com/en/cpu_family-intel_xeon_e5-14

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Dec 08, 2021 Dec 08, 2021

Copy link to clipboard

Copied

Thanks for the reply. Looks like I might have a 4th generation. I'll contact Adobe also and see if they can verify. Would be disappointing if I can't update PSE after using it for so long.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 08, 2021 Dec 08, 2021

Copy link to clipboard

Copied

LATEST

More than likely pse 2022 will work on your Mac Pro.

 

See this discussian:

 

https://community.adobe.com/t5/photoshop-elements-discussions/elements-22-compatibility-with-macbook...

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines